
var accion = document.editarPresenciaForm.accion.value;

	$( document ).ready(function() {
	var accion = document.editarPresenciaForm.accion.value;		
		if (accion == "NUEVO") {
		    $("#botoneraModificar").hide();       
		    $("#checkboxBaja").hide();
		    $("#botoneraNuevo").show();    
		    
			//Tecnicos 
			$("#comboTecnicos").rup_combo({
				source: "../presencia/tecnicos/combo/remote",
				sourceParam: {label:"nombre", value:"idtecnico"},
				width: 200,
				blank: "",
				select: function(){
					//asignar el valor seleccionado al campo del formulario que actualiza el valor
					$("#idtecnico").val($("#comboTecnicos").rup_combo("value"));
				},
				style : "dropdown"										
			});
			var hoy = new Date();
			/*
			var propertiesFePre= {
					from: "fhdesde",
					to : "fhhasta",
					minDate : $.rup_utils.createDate(hoy.getDate(), hoy.getMonth()+1, hoy.getFullYear()),
					datetimepicker:true,
					showSecond: false,
					timeFormat: 'hh:mm'
					};
			$.rup_date (propertiesFePre);
			*/
			 var properties = {
						datetimepicker:true,
						showSecond: false,
						minDate : $.rup_utils.createDate(hoy.getDate(), hoy.getMonth()+1, hoy.getFullYear()),
						timeFormat: 'hh:mm'
						};
			$("#fhdesde").rup_date(properties);

			//$("#fechaHasta").rup_date ("minDate : hoy");
			
		}  else {
			   $("#botoneraModificar").show();
	 	       $("#checkboxBaja").show();
		       $("#botoneraNuevo").hide();	

		       var properties = {
						datetimepicker:true,
						showSecond: false,
						timeFormat: 'hh:mm'
						};

				$("#fhdesde").rup_date(properties);
				$("#fhhasta").rup_date(properties);

		}
	
		$("#fhlogin").rup_date(properties);
		if (accion != "NUEVO") {
			//Formatear las fechas
			if ($("#fhlogin").val()!=""){
			    var fechahoraLogin = new Date($("#fhlogin").val().substring(0,17).replace("-","/").replace("-","/"));
			    $("#fhlogin").rup_date("setDate", fechahoraLogin);
			}
			if ($("#fhdesde").val()!=""){
			    var fechahoraDesde = new Date($("#fhdesde").val().substring(0,17).replace("-","/").replace("-","/"));
			    $("#fhdesde").rup_date("setDate", fechahoraDesde);
			}
			if ($("#fhhasta").val()!=""){
			    var fechahoraHasta = new Date($("#fhhasta").val().substring(0,17).replace("-","/").replace("-","/"));
			    $("#fhhasta").rup_date("setDate", fechahoraHasta);
			    $("#fhhasta").rup_date("disable"); //Si la fecha hasta no esta vacia no se puede modificar
			    
			    $('#bt_modificar').attr("disabled", true);
			    $('#bt_modificar').hide();
			    
			}else{
				 
			}
			
			$("#fhdesde").rup_date("disable");
			$("#fhlogin").rup_date("disable");
		}
	}
	);


	function obtenerIdiomaCombo(){
		var idioma="c";		
		if ($.rup_utils.capitalizedLang() =="Es") {	
			idioma = "c";
		} else idioma="e";
		return idioma;
		}

	
/********************************* GUARDAR NUEVO ****************************************************************/	
	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_guardar").bind("click", confirmarGuardar);
	
	function confirmarGuardar (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.guardar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
			OKFunction: function(){
				guardarNuevaPresencia();		
			},
			CANCELFunction : function(){
			}
			});
	}
		
	function guardarNuevaPresencia() {	
		var properties={
				url:"../presencia/addNuevaPresencia",
				feedback:$("#feedbackEditarPresencia"),
				useJsonIfPossible: true,
				 error: function(data) {
					 alert(data.responseText);
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
				 },
				 success: function(){					 					
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");       		
		        	   document.editarPresenciaForm.accion.value = "MODIFICAR";
		        	   $("#botoneraModificar").show();        	
		        	   $("#checkboxBaja").show();
		   		       $("#botoneraNuevo").hide();  
		   			$.rup_messages("msgConfirm", {
		   				title: $.rup.i18nParse($.rup.i18n.app,"mensajesPresencia.alta"),			
		   				message: $.rup.i18nParse($.rup.i18n.app,"mensajesPresencia.preguntaNuevo"),
		   				OKFunction: function(){
		   					refrescar();		
		   				},
		   				CANCELFunction : function(){
		   					parent.cerrarIFrameNuevoPresencia();
		   				}
		   				
		   				});

				 },
				 validate: {
					 rules: {
						 "fhdesde":{required:true},
						 "comboTecnicos":{required:true}
					 }
				 }
				};
				$("#editarPresenciaForm").rup_form(properties);				
				$("#editarPresenciaForm").submit();
	}
	/********************************* FIN GUARDAR NUEVO ****************************************************************/

	/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesPresencia.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){
				modificarPresencia ();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function modificarPresencia () {		
		var properties={
				url:"../presencia/modificaPresencia",
				feedback:$("#feedbackEditarPresencia"),
				useJsonIfPossible: true,
				 error: function(data) {					
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){					 					
					 parent.cerrarIFrameNuevoPresencia();
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");    
				 },
				 validate: {
					 rules: {
						 "cpresencia":{required:true},
						 "epresencia":{required:true},
						 "rpresencia":{required:true}
					 }
				 }
				};
				$("#editarPresenciaForm").rup_form(properties);				
				$("#editarPresenciaForm").submit();
		
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	
	/********************************* BOTON NUEVO  ****************************************************************/
	// al darle a "nuevo" volvemos a la misma pantalla vacía
	$("#bt_nuevo").bind("click", refrescar);
	
	function refrescar (){		
			location.href="../presencia/nuevo";		
	}
	/********************************* FIN BOTON NUEVO  ****************************************************************/
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoPresenciaIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarPresencia").rup_feedback (properties);

   		$("#feedbackEditarPresencia").rup_feedback("set", texto);

   		$("#feedbackEditarPresencia").rup_feedback("show");
	}
	
	
	/* Error */
	function mensajeError (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarPresencia").rup_feedback (properties);

 		$("#feedbackEditarPresencia").rup_feedback("set", texto);

 		$("#feedbackEditarPresencia").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	

	jQuery("#feedbackEditarPresencia").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 




